The license list is missing GPLv3

Bug #955004 reported by Roberto Alsina on 2012-03-14
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
python-qt4 (Debian)
Fix Released
Unknown
python-qt4 (Ubuntu)
Low
Unassigned

Bug Description

According to the Riverbank website, PyQt is available under GPL v2 and v3, so please update it accordingly

http://www.riverbankcomputing.co.uk/software/pyqt/license

This is important because Ubuntu One Control Panel is GPLv3 and PyQt-based in Precise

Scott Kitterman (kitterman) wrote :

Fixed in DPMT svn. Thanks.

Changed in python-qt4 (Ubuntu):
importance: Undecided → Low
status: New → Fix Committed
Changed in python-qt4 (Debian):
status: Unknown → Fix Committed
Changed in python-qt4 (Debian):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-qt4 - 4.9.1-4

---------------
python-qt4 (4.9.1-4) experimental; urgency=low

  * Build python3-dbus.mainloop.qt/-dbg packages with experimental python3
    port of dbus-python
    - Add packages to debian/control
    - Add python3-dbus and python3-dbus-dbg to build-depends
    - Adjust debian/rules to support python3-dbus.mainloop.qt-dbg
    - Provide path to dbus-python.h using --dbus option in configure since in
      Python 3, the build system can't find it

 -- Scott Kitterman <email address hidden> Thu, 03 May 2012 10:26:27 -0400

Changed in python-qt4 (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.